aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2021-05-10 13:28:35 +1200
committerTom Ryder <tom@sanctum.geek.nz>2021-05-10 13:28:35 +1200
commit6f91b2705e848416c5735539a4af383e6aceaf0a (patch)
treefffcffbedc3638b76d054ee3fc77ab41616c87d0
parentRemove <strong> tag from HTML timestamp prefix (diff)
downloaddotfiles-6f91b2705e848416c5735539a4af383e6aceaf0a.tar.gz
dotfiles-6f91b2705e848416c5735539a4af383e6aceaf0a.zip
Make corrections for ShellCheck v0.7.2
-rw-r--r--bash/bash_completion.d/path.bash1
-rw-r--r--lint/bash.sh2
-rw-r--r--lint/ksh.sh4
-rw-r--r--lint/sh.sh2
4 files changed, 5 insertions, 4 deletions
diff --git a/bash/bash_completion.d/path.bash b/bash/bash_completion.d/path.bash
index 9224506a..9234f132 100644
--- a/bash/bash_completion.d/path.bash
+++ b/bash/bash_completion.d/path.bash
@@ -62,6 +62,7 @@ _path() {
fi
# Break PATH into parts
+ declare -a paths
IFS=: read -a paths -d '' -r \
< <(printf '%s\0' "$PATH")
diff --git a/lint/bash.sh b/lint/bash.sh
index 13754a3f..2b6342ae 100644
--- a/lint/bash.sh
+++ b/lint/bash.sh
@@ -5,4 +5,4 @@ set \
bash/bash_profile \
bash/bashrc \
bash/bashrc.d/*.bash
-shellcheck -e SC1090 -s bash -- "$@" || exit
+shellcheck -e SC1090 -e SC1091 -s bash -- "$@" || exit
diff --git a/lint/ksh.sh b/lint/ksh.sh
index 117909b3..164c4672 100644
--- a/lint/ksh.sh
+++ b/lint/ksh.sh
@@ -1,5 +1,5 @@
set \
ksh/kshrc \
ksh/kshrc.d/*.ksh
-shellcheck -e SC1090 -s ksh -- "$@" || exit
-shellcheck -e SC1090 -s sh -- ksh/shrc.d/ksh.sh || exit
+shellcheck -e SC1090 -e SC1091 -s ksh -- "$@" || exit
+shellcheck -e SC1090 -e SC1091 -s sh -- ksh/shrc.d/ksh.sh || exit
diff --git a/lint/sh.sh b/lint/sh.sh
index 5884a1ed..e15b5504 100644
--- a/lint/sh.sh
+++ b/lint/sh.sh
@@ -4,4 +4,4 @@ set \
sh/shrc \
*/profile.d/*.sh \
*/shrc.d/*.sh
-shellcheck -e SC1090 -s sh -- "$@" || exit
+shellcheck -e SC1090 -e SC1091 -s sh -- "$@" || exit